<app-store-header></app-store-header>

<div class="container">
    <div class="card">
        <div class="row">
            <div class="col-6">
                <img
                    *ngIf="book?.image"
                    [src]="book.image"
                    class="image"
                />
                <img 
                    src="../../assets/no-image-book.png"
                    class="image"
                    *ngIf="!book?.image"
                />
            </div>

            <div class="col-6">
                <div clas="row">
                    <div class="col-12">
                        <h3> {{ book?.name }} </h3>
                    </div>
                </div>

                <hr>

                <div class="row">
                    <div class="col-12">
                        <h5> {{ book?.authors }} </h5>
                    </div>
                </div>

                <hr>

                <div class="row">
                    <div class="col-12">
                        <h5> {{ book?.price | currency:'RSD'}} </h5>
                    </div>
                </div>

                <div class="row" *ngIf="book?.description; else noDescription">
                    <div class="col-12">
                        <p> {{ book?.description }} </p>
                    </div>
                </div>

                <hr>

                <ng-template #noDescription>
                    <div class="row">
                        <div class="col-12">
                            <h4 *ngIf="book?.subject"> Уџбеник из предмета {{ book.subject }} на Математичком факултету.</h4>
                            <h4 *ngIf="!book?.subject"> Нема описа за ово издање. </h4>
                        </div>
                    </div>
                </ng-template>

                
                <div class="row">
                    <div class="col-12">
                        <button *ngIf="!book?.url"
                                class="btn btn-primary" 
                                (click)="addToCart()">
                                    Додај у корпу
                        </button>
                        <button *ngIf="book?.url"
                                class="btn btn-primary"
                                (click)="openLink(book?.url)">
                                Преузми
                        </button>
                    </div>
                </div>
            </div>
    </div>
</div>
